MediaWiki:Gadget-Infobox.css: Difference between revisions

Els236 (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(6 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* Default stuff */
.pi-title, .pi-secondary-background {
background: var(--pi-secondary-background);
color: var(--pi-secondary-background--label);
}
/* Custom stuff */
.portable-infobox {
.portable-infobox {
--pi-background: var(--theme-page-background-color);
--pi-background: var(--theme-page-background-color);
Line 74: Line 82:
}
}


.portable-infobox.type-anima .pi-anima-id {
.portable-infobox.pi-type-anima .pi-anima-id {
     margin-left: 5px  !important;
     margin-left: 5px  !important;
     background-color: #fefaf2 !important;
     background-color: #fefaf2 !important;
Line 88: Line 96:
}
}


.portable-infobox.type-anima .pi-title {
.portable-infobox.pi-type-anima .pi-title {
     text-align: left;
     text-align: left;
}
}


.portable-infobox.type-anima .pi-title-text {
.portable-infobox.pi-type-anima .pi-title-text {
     padding: 2px 0 0 5px;
     padding: 2px 0 0 5px;
     font-size: 20px;
     font-size: 20px;
Line 161: Line 169:
}
}


/* Custom Infobox Styling */
.pi-section-navigation .pi-section-tab, .pi-media-collection .pi-tab-link {
.type-item .pi-item.pi-image {
width: 100%;
max-width: 100%;
margin: -2px 0 0 0;
}
 
/* HNA Infobox Styling */
.pi-type-item .pi-item.pi-image {
     position: relative;
     position: relative;
     z-index: 2;
     z-index: 2;
Line 168: Line 182:
}
}


.type-item .pi-item.pi-image img {
.pi-type-item .pi-item.pi-image img {
     position: relative;
     position: relative;
     z-index: 2;
     z-index: 2;
Line 174: Line 188:
}
}


.type-item .pi-item.pi-image:before {
.pi-type-item .pi-item.pi-image:before {
     content: ' ';
     content: ' ';
     display: block;
     display: block;
Line 185: Line 199:
     background-repeat: no-repeat;
     background-repeat: no-repeat;
     background-position: center;
     background-position: center;
     background-size: cover;
     /*background-size: cover;*/
}
}
/*
/*
.type-item .pi-item.pi-image:after {
.pi-type-item .pi-item.pi-image:after {
     content: ' ';
     content: ' ';
     display: block;
     display: block;
Line 203: Line 217:
}
}
*/
*/
.pi-theme-1 .pi-item.pi-image:before {
background-image: url("filepath://Item_Frame_1-Star.png");
}
.pi-theme-2 .pi-item.pi-image:before {
background-image: url("filepath://Item_Frame_2-Star.png");
}
.pi-theme-3 .pi-item.pi-image:before {
background-image: url("filepath://Item_Frame_3-Star.png");
}
.pi-theme-4 .pi-item.pi-image:before {
.pi-theme-4 .pi-item.pi-image:before {
background-image: url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/b/bd/Item_Frame_4-Star.png/revision/latest?cb=20251106225622');
background-image: url("filepath://Item_Frame_4-Star.png");
}
.pi-theme-5 .pi-item.pi-image:before {
background-image: url("filepath://Item_Frame_5-Star.png");
}
}
/*
/*